SEMCORRAWFREQ(1)

NAME
semCorRawFreq.pl - Compute Information Content from SemCor corpus (raw form, without using sense-tags)

SYNOPSIS
  semCorRawFreq.pl --outfile FILE [--stopfile FILE] [--resnik]
   [--wnpath PATH] [--smooth SCHEME] {--stdin
   | --infile FILE [--infile FILE ...]}
   | --help | --version

DESCRIPTION
This program reads SemCor files and computes the frequency counts for each synset in WordNet, ignoring the sense tags in the corpus (treating it like a raw text corpus). These frequency counts are used by various measures of semantic relatedness to calculate the information content values of concepts. The output is generated in a format as required by the WordNet::Similarity modules for computing semantic relatedness.

The SemCor data we use comes from Rada Mihalcea, who has mapped SemCor from its original version to each successive version of WordNet. In this program we ignore the SenseTags and simply treat SemCor as raw text. This is to allow for the comparison of the effect of counting from sense tags (as done in semCorFreq.pl) versus raw or plain word forms (as done here).

A more detailed description of how information content is calculated can be found in rawtextFreq.pl. This program uses exactly the same techniques as described there.

OPTIONS
--outfile=filename

    The name of a file to which output should be written

--stopfile=filename

    A file containing a list of "stop" words that will not be
    considered during the frequency computation

--resnik

    Use Resnik (1995) frequency counting

--wnpath=path

    Location of the WordNet data files (e.g.,
    /usr/local/WordNet-3.0/dict)

--smooth=SCHEME

    Smoothing should used on the probabilities computed. SCHEME can
    only be ADD1 at this time

--stdin

    Use this flag to provide input via the standard input

--infile=filename

    Get the input from the specified file.

--help

    Show a help message

--version

    Display version information

BUGS
Report to WordNet::Similarity mailing list :
 http://groups.yahoo.com/group/wn-similarity <http://groups.yahoo.com/group/wn-similarity>

SEE ALSO
WordNet::Similarity

SemCor Download (from Rada Mihalcea):

 L<http://www.cs.unt.edu/~rada/downloads.html#semcor>

WordNet home page :
 <http://wordnet.princeton.edu>

WordNet::Similarity home page :
 http://wn-similarity.sourceforge.net <http://wn-similarity.sourceforge.net>

AUTHORS
 Ted Pedersen, University of Minnesota, Duluth
 tpederse at d.umn.edu

 Satanjeev Banerjee, Carnegie Mellon University, Pittsburgh
 banerjee+ at cs.cmu.edu

 Siddharth Patwardhan, University of Utah, Salt Lake City
 sidd at cs.utah.edu

COPYRIGHT
Copyright (c) 2005-2008, Ted Pedersen, Satanjeev Banerjee, and Siddharth Patwardhan

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.